Update Audiences page and Key Product Metrics with May 2018 Readers data
Closed, ResolvedPublic

Description

Tbayer created this task.May 31 2018, 9:22 PM
Tbayer moved this task from Triage to Blocked on the Product-Analytics board.
Tbayer moved this task from Blocked to Backlog on the Product-Analytics board.Jun 5 2018, 2:16 PM
Vvjjkkii renamed this task from Update Audiences page and Key Product Metrics with May 2018 Readers data to qvbaaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot renamed this task from qvbaaaaaaa to Update Audiences page and Key Product Metrics with May 2018 Readers data.
Tbayer moved this task from Backlog to Doing on the Product-Analytics board.Jul 2 2018, 3:44 AM
Tbayer updated the task description. (Show Details)Jul 9 2018, 8:12 PM

Over to you, @mpopov and @chelsyx ;)

mpopov closed this task as Resolved.Jul 10 2018, 6:25 PM
mpopov claimed this task.

Done

mpopov updated the task description. (Show Details)Jul 10 2018, 6:25 PM